<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <mb-input-text
    [mbIsTextAre]="true"
    [mbConfig]="{ rows: 4, autoSize: true }"
    formControlName="reason"
    mbLabelText="{{
      'development.consultation-screen.reason' | translate
    }}"
    mbPlaceholderText="{{
      'development.consultation-screen.reason' | translate
    }}"
  ></mb-input-text>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
